Create
curl --request POST \
--url https://{defaultHost}/v1/shipping_fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_fee": {
"amount": 10,
"description": "Setup fee",
"checkout": "6121db43-dc84-4efc-9df0-f454cb43f1e0"
}
}
'import requests
url = "https://{defaultHost}/v1/shipping_fees"
payload = { "shipping_fee": {
"amount": 10,
"description": "Setup fee",
"checkout": "6121db43-dc84-4efc-9df0-f454cb43f1e0"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipping_fee: {
amount: 10,
description: 'Setup fee',
checkout: '6121db43-dc84-4efc-9df0-f454cb43f1e0'
}
})
};
fetch('https://{defaultHost}/v1/shipping_fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "38df6a1b-36ca-4caa-b970-e734422da6b3",
"object": "shipping_fee",
"amount": 10,
"description": "Setup fee",
"fee_type": "manual",
"checkout": "6121db43-dc84-4efc-9df0-f454cb43f1e0",
"created_at": 1782485902,
"updated_at": 1782485902
}Shipping Fees
Create
Creates a new shipping fee.
POST
/
v1
/
shipping_fees
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.
A short description of the shipping fee.
The type of shipping_fee – one of auto or manual.
Expandable – The associated checkout ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I